Subject: Re: pkg/33028: cfengine2 on Solaris needs flex, not lex
To: Lloyd Parkes <>
From: Jeremy C. Reed <>
List: pkgsrc-bugs
Date: 03/07/2006 20:05:01
On Wed, 8 Mar 2006, Lloyd Parkes wrote:

> >  Maybe use instead:
> >  USE_TOOLS+=          flex
> That seems to work fine.
> I'm normally a bit wary of forcing the use of a particular implementation of a
> utility (who needs so sit and watch software build when the OS tools work
> fine?),

I know what you mean. At least on NetBSD, the flex and lex are identical 
and in the base install, so USE_TOOLS+=flex won't install anything extra.

Also using USE_TOOLS instead of BUILD_DEPENDS helps by using the 
OS-provided tools.

> but as far as I know, there are only two implementations of lex, and
> only one of them works for cfengine2.

 Jeremy C. Reed

echo 'I7@87944:;6<754372=9=?48812=7043:>' | tr '0-@' 'wutrofn'